Global Fishing Watch API
Examples4Wings Reports

Report Indonesia filter by matched detections - noisy vessel

Example 4Wings report for Indonesia filtered to SAR detections matched to AIS, showing a noisy vessel.

In this case there is a matching with SAR image and AIS positions but the AIS positions are linked to a noisy vessel that is why there is a vessel id but no vessel details since Global Fishing Watch couldn't determine those values as this refers to a noisy vessel.

To get details of existing regions, check Regions in the Reference data section

Query parameters

ParameterValueDescription
spatial-resolutionHIGHHigh spatial resolution
temporal-resolutionHOURLYAggregate by hour
group-byVESSEL_IDGroup results by vessel id
datasets[0]public-global-sar-presence:latestSAR vessel detections dataset
date-range2017-01-01,2017-01-02Filter to this time period
formatJSONResponse format
filters[0]matched='true'Only detections matched with AIS vessels

Request body

FieldValueDescription
region.datasetpublic-eez-areasExisting region dataset
region.id8492Indonesia EEZ region id

Request

# Make sure to replace [TOKEN] with your API Access Token.
 curl --location --globoff 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=HIGH&temporal-resolution=HOURLY&group-by=VESSEL_ID&datasets[0]=public-global-sar-presence%3Alatest&date-range=2017-01-01%2C2017-01-02&format=JSON&filters[0]=matched%3D%27true%27' \
 --header 'Authorization: Bearer [TOKEN]' \
--header 'Content-Type: application/json'\
--data '{
    "region": {
        "dataset": "public-eez-areas",
        "id": 8492
    }
}'

Response

{
  "total": 1,
  "limit": null,
  "offset": null,
  "nextOffset": null,
  "metadata": {},
  "entries": [
    {
      "public-global-sar-presence:v3.0": [
        {
          "callsign": "",
          "dataset": "",
          "date": "2017-01-01 22:00",
          "detections": 1,
          "entryTimestamp": "2017-01-01T22:33:41Z",
          "exitTimestamp": "2017-01-01T22:33:41Z",
          "firstTransmissionDate": "",
          "flag": "",
          "geartype": "",
          "imo": "",
          "lastTransmissionDate": "",
          "lat": -6.09,
          "lon": 106.89,
          "mmsi": "",
          "shipName": "",
          "vesselId": "74934b786-6f6f-d027-c06f-bf814d7da7f3",
          "vesselType": ""
        }
      ]
    }
  ]
}